Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

Parameters

Updates the specific distillery by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
name
string
The name of the distillery.
location
string
The location in which the distillery resides or operates out of.
founded
string
The year the distillery was founded.
website
string
The web address of the distillery.
locked
boolean
Determines if the distillery is able to have its information changed.
producer_id
string
ID of the producer that this distillery falls under.

Returns

Returns the updated Distillery object if the request was successful, otherwise it returns an error message.
    curl -X PATCH https://api.onlydrams.app/api/v1/distilleries/:distillery_id \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer $ACCESS_TOKEN" \
    -d '{
          "distillery": {
            "name": "Updated Distillery Name",
            "location": "Updated Location"
          }
        }'
{
	"id": "d2662eda-a124-4064-bb88-3b9f0027ec61",
	"name": "Updated Distillery",
	"founded": "2023",
	"location": "Updated Location",
	"website": "https://sampledistillery.com",
	"logo_url": null,
	"company": {
		"id": "Unknown",
		"name": "Unknown"
	},
	"bottles": [],
	"bottleCount": 0
}